Bug 1451064 (CVE-2017-8934) - CVE-2017-8934 pcmanfm: Insecure temporary file creation in get_socket_name function
Summary: CVE-2017-8934 pcmanfm: Insecure temporary file creation in get_socket_name fu...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-8934
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1451065
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-15 16:56 UTC by Adam Mariš
Modified: 2019-09-29 14:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:12:41 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-05-15 16:56:30 UTC
Insecure temporary file creation in get_socket_name function was found leading to potential access violation.

Upstream patch:

https://git.lxde.org/gitweb/?p=lxde/pcmanfm.git;a=commitdiff;h=bc8c3d871e9ecc67c47ff002b68cf049793faf08

Comment 1 Adam Mariš 2017-05-15 16:56:38 UTC
Acknowledgments:

Name: Mamoru Tasaka

Comment 2 Adam Mariš 2017-05-15 16:56:53 UTC
Created pcmanfm tracking bugs for this issue:

Affects: fedora-all [bug 1451065]

Comment 3 Adam Mariš 2017-05-15 18:20:19 UTC
External References:

http://seclists.org/oss-sec/2017/q2/261

Comment 4 Adam Mariš 2017-05-15 18:22:57 UTC
CVE-2017-7498 was rejected!

Comment 5 Product Security DevOps Team 2019-06-08 03:12:41 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.